Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000791 [DCSS] Bug Report minor always 2010-02-13 16:47 2018-05-15 00:54
Reporter rob View Status public  
Assigned To advil
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0000791: monsters may leave LOS after shout without "moves out of view" message
Description A monsters' "just seen" status is cleared with its first move that stays in LOS. If the monster gets to move twice, and happens to move out of LOS with the second move, there's just the shout, no "moves out of view".

This can happen whenever a monster has the opportunity to move twice, after the shout was caused during a delay at the end of your turn. E.g. a fast monster interrupting autotravel.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0000527closed LOS bug in announcing monsters 

-  Notes
(0032246)
advil (administrator)
2018-05-15 00:54

I've pushed a fix for this in https://github.com/crawl/crawl/commit/ae1bc95d447d [^]

I won't be surprised if that commit causes other weird behavior, but I'm pretty confident it fixes this weird behavior.

- Issue History
Date Modified Username Field Change
2010-02-13 16:47 rob New Issue
2010-02-13 16:48 rob Relationship added related to 0000527
2010-05-14 18:47 rob Relationship replaced has duplicate 0000527
2018-05-15 00:54 advil Note Added: 0032246
2018-05-15 00:54 advil Status new => resolved
2018-05-15 00:54 advil Fixed in Branch => 0.22 development branch
2018-05-15 00:54 advil Resolution open => done
2018-05-15 00:54 advil Assigned To => advil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker